{% sw_extends '@Storefront/storefront/component/checkout/offcanvas-cart-summary.html.twig' %}

{% block component_offcanvas_summary_content %}
    <div class="offcanvas-summary px-md-5 pt-md-4">
        <dl class="row offcanvas-summary-list py-md-2 border-bottom border-white mx-md-0">
            {% block component_offcanvas_summary_total %}
                {% block component_offcanvas_summary_total_label %}
                    <dt class="col-7 summary-label summary-total pl-md-0">
                        {{ "checkout.subtotalAmount"|trans|sw_sanitize }}
                    </dt>
                {% endblock %}

                {% block component_offcanvas_summary_total_value %}
                    <dd class="col-5 summary-value summary-total text-right mb-md-0 pr-md-0">
                        {{ page.cart.price.positionPrice|currency }}
                    </dd>
                {% endblock %}
            {% endblock %}
        </dl>

        {% if page.cart.deliveries is defined %}

            {% set activeShipping = page.cart.deliveries.elements[0] %}

            {% block component_offcanvas_summary_content_info %}
                <div class="row offcanvas-shipping-info py-md-2 border-bottom border-white mx-md-0">
                    <span class="col-7 shipping-label shipping-cost pl-md-0">
                        <strong>{{ "checkout.summaryShipping"|trans|sw_sanitize }}</strong>

                        <small {% if page.shippingMethods|length %}class="js-toggle-shipping-selection"{% endif %}>
                            ({{ activeShipping.shippingMethod.translated.name }})
                        </small>
                    </span>

                    <span class="col-5 shipping-value shipping-cost text-right pr-md-0">
                        + {{ activeShipping.shippingCosts.totalPrice|currency }}
                    </span>
                </div>
            {% endblock %}

            {% block component_offcanvas_summary_content_shipping %}
                {{ parent() }}
            {% endblock %}

        {% endif %}
        
        {% block component_offcanvas_summary_tax_info_digitalisman %}
		    <span class="offcanvas-cart-tax text-body py-md-2 d-block border-bottom border-white">
		        <strong>
		            {% if page.cart.price.taxStatus == "gross" %}
		                {{ "general.grossTaxInformation"|trans|sw_sanitize }}
		            {% else %}
		                {{ "general.netTaxInformation"|trans|sw_sanitize }}
		            {% endif %}
		        </strong>
		    </span>
		{% endblock %}
        
    </div>

    {% block component_offcanvas_summary_tax_info %}
    {% endblock %}
{% endblock %}